package com.casic.missiles.modular.system.dto;

import lombok.Data;

@Data
public class WatchDataDto implements Cloneable{

    private Long deviceId;
    private String devcode;
    private String installDate;
    private String onlineState;
    private String onlineStateName;
    private String watchType;
    private String type; // 地图总览时使用
    private String data = "";
    private String value = ""; // 地图总览时使用
    private String logtime = "";//数据更新时间（设备上报时间）

    @Override
    public Object clone() {
        try{
            return super.clone();
        }catch(CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return null;
    }

}
